connect drxdb user drxuser password maslo;

--drop view "WORKSTATION_USAGE";
drop view "TRANSACTION_ACTIVITY";
--drop view "USER_TRANSACTIONS";
drop view "SCALE_STATUS";
drop view "SCALE_EXT_STATUS";
drop view "ALL_TRANSACTIONS";
drop view "USER_LIST";
drop view "UNIT_LIST";
drop view "MOST_FREQUENTLY_COUNTED";
DROP VIEW "APW_SET_REQUEST";
DROP VIEW "ADDRESS_BOOK";

drop table "EMAIL";
drop table "ADDRESSBOOK";
drop table "REQUEST";
drop table "WEIGHTLOG";
drop table "APW";
drop table "DRUG";
--drop table "IPFREQUENCY";
drop table "ACTIVATIONDATA";
drop table "SERVERPARAMS";
drop table "COMPORTPARAMS";
drop table "SESSIONTAB";
drop table "SCALE";
drop table "USERTAB";

DROP TABLE "APW_TIP";
DROP TABLE "DRUG_TIP";
DROP TABLE "SESSIONTAB_TIP";
DROP TABLE "WEIGHTLOG_TIP";

--select rdb$relation_name from rdb$relations where rdb$flags IS NOT NULL;
--====================================================================================================
--=============================================== User ===============================================
--====================================================================================================

create table "USERTAB"
(
"ID" Integer Primary Key,
"USERNAME" VarChar(16) Unique,
"FIRSTNAME" VarChar(40),
"LASTNAME" VarChar(40),
"USERPASSWORD" VarChar(40),
"BARCODE" VarChar(40),
"SHORTCODE" VarChar(4),
"ISACTIVE" VarChar(1),
"ISADMIN" VarChar(1),
"ISEMAILED" VarChar(1),
"CANUPDATEAPW" VarChar(1)
);

drop generator Gen_UserTab_Id;
create generator Gen_UserTab_Id;
set generator Gen_UserTab_Id to 0;

set term ^^;
create or alter trigger UserTab_BI for "USERTAB"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_UserTab_Id, 1);
end^^
set term ;^^

--====================================================================================================
--============================================== Scale ===============================================
--====================================================================================================

create table "SCALE"
(
"ID" Integer Primary Key,
"SERIALNUMBER" VarChar(8) Unique,
"DESCRIPTION" VarChar(40),
"LOCATION" VarChar(40),
"ISACTIVE" VarChar(1),
"ISEMAILED" VarChar(1)
);

drop generator Gen_Scale_Id;
create generator Gen_Scale_Id;
set generator Gen_Scale_Id to 0;

set term ^^;
create or alter trigger Scale_BI for "SCALE"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_Scale_Id, 1);
end^^
set term ;^^

commit;

--====================================================================================================
--============================================= Session ==============================================
--====================================================================================================

create table "SESSIONTAB"
(
"ID" Integer Primary Key,
"USERTABID" Integer,
"SCALEID" Integer,
"TOKEN" VarChar(16) not null,
"ISPWDLOGIN" VarChar(1),
"CREATIONDATE" TIMESTAMP,
"LOGINDATE" TIMESTAMP,
"LOGOUTDATE" TIMESTAMP,
FOREIGN KEY ("USERTABID") REFERENCES "USERTAB"("ID"),
FOREIGN KEY ("SCALEID") REFERENCES "SCALE"("ID")
);

drop generator Gen_SessionTab_Id;
create generator Gen_SessionTab_Id;
set generator Gen_SessionTab_Id to 0;

set term ^^;
create or alter trigger SessionTab_BI for "SESSIONTAB"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_SessionTab_Id, 1);
end^^
set term ;^^

commit;

--====================================================================================================
--========================================== ComPortParams ===========================================
--====================================================================================================

create table "COMPORTPARAMS"
(
"ID" Integer Primary Key,
"PORTNAME" VarChar(20) Unique,
"BAUDRATE" Integer,
"DATABITS" Integer,
"STOPBITS" Integer,
"PARITY" Integer,
"TOBEOPENED" VarChar(1),
"OPENFORREADING" VarChar(1),
"OPENFORWRITING" VarChar(1)
);

drop generator Gen_ComPortParams_Id;
create generator Gen_ComPortParams_Id;
set generator Gen_ComPortParams_Id to 0;

set term ^^;
create or alter trigger ComPortParams_BI for "COMPORTPARAMS"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_ComPortParams_Id, 1);
end^^
set term ;^^

commit;

--====================================================================================================
--========================================== ActivationData ==========================================
--====================================================================================================

create table "ACTIVATIONDATA"
(
"ID" Integer Primary Key,
"FIRSTNAME" VarChar(50),
"LASTNAME" VarChar(50),
"PHARMACY" VarChar(50),
"ADDRESS" VarChar(50),
"CITY" VarChar(50),
"STATE" VarChar(50),
"ZIPCODE" VarChar(50),
"TELEPHONE" VarChar(50),
"EMAIL" VarChar(50),
"ISACTIVATED" VarChar(1),
"ISREGISTERED" VarChar(1),
"ISTIP" VarChar(1),
"KEYDATA" VarChar(512)
);

drop generator Gen_ActivationData_Id;
create generator Gen_ActivationData_Id;
set generator Gen_ActivationData_Id to 0;

set term ^^;
create or alter trigger ActivationData_BI for "ACTIVATIONDATA"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_ActivationData_Id, 1);
end^^
set term ;^^

commit;

--====================================================================================================
--=========================================== ServerParams ===========================================
--====================================================================================================

create table "SERVERPARAMS"
(
"ID" Integer Primary Key,
"NODE" VarChar(50) Unique,
"TEXT" VarChar(4096)
);

drop generator Gen_ServerParams_Id;
create generator Gen_ServerParams_Id;
set generator Gen_ServerParams_Id to 0;

set term ^^;
create or alter trigger ServerParams_BI for "SERVERPARAMS"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_ServerParams_Id, 1);
end^^
set term ;^^

commit;

--====================================================================================================
--=============================================== Drug ===============================================
--====================================================================================================

create table "DRUG"
(
"ID" Integer Primary Key,
"NDC" VarChar(10) Unique,
"NAME" VarChar(100),
"LOT" VarChar(10),
"DOSAGE" VarChar(20),
"FORMULATION" VarChar(20),
"MANUFACTURER" VarChar(20),
"PACKAGING" VarChar(20),
"ISLOCKED" VarChar(1)
);

drop generator Gen_Drug_Id;
create generator Gen_Drug_Id;
set generator Gen_Drug_Id to 0;

set term ^^;
create or alter trigger Drug_BI for "DRUG"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_Drug_Id, 1);
end^^
set term ;^^

commit;

--====================================================================================================
--=============================================== APW ================================================
--====================================================================================================

create table "APW"
(
"ID" Integer Primary Key,
"SESSIONTABID" Integer,
"DRUGID" Integer,
"VAL" VarChar(11),
"LOT" VarChar(10),
"COUNT1" VarChar(11),
"COUNT2" VarChar(11),
"COUNT3" VarChar(11),
"CREATIONDATE" TIMESTAMP,
"ISACTIVE" VarChar(1),
FOREIGN KEY ("SESSIONTABID") REFERENCES "SESSIONTAB"("ID"),
FOREIGN KEY ("DRUGID") REFERENCES "DRUG"("ID")
);

drop generator Gen_APW_Id;
create generator Gen_APW_Id;
set generator Gen_APW_Id to 0;

set term ^^;
create or alter trigger APW_BI for "APW"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_APW_Id, 1);
end^^
set term ;^^

commit;

--====================================================================================================
--============================================ WeightLog =============================================
--====================================================================================================

create table "WEIGHTLOG"
(
"ID" Integer Primary Key,
"APWID" Integer,
"SESSIONTABID" Integer,
"AMOUNT" VarChar(11),
"RXVERIFIED" VarChar(1),
"REMAININGTOFILL" VarChar(11),
"CREATIONDATE" TIMESTAMP,
"WEIGHTENDDATE" TIMESTAMP,
FOREIGN KEY ("APWID") REFERENCES "APW"("ID"),
FOREIGN KEY ("SESSIONTABID") REFERENCES "SESSIONTAB"("ID")
);

drop generator Gen_WeightLog_Id;
create generator Gen_WeightLog_Id;
set generator Gen_WeightLog_Id to 0;

set term ^^;
create or alter trigger WeightLog_BI for "WEIGHTLOG"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_WeightLog_Id, 1);
end^^
set term ;^^

commit;

--====================================================================================================
--============================================= Request ==============================================
--====================================================================================================

create table "REQUEST"
(
"ID" Integer Primary Key,
"DRUGID" Integer,
"SESSIONTABID" Integer,
"CREATIONDATE" TIMESTAMP,
FOREIGN KEY ("DRUGID") REFERENCES "DRUG"("ID"),
FOREIGN KEY ("SESSIONTABID") REFERENCES "SESSIONTAB"("ID")
);

drop generator Gen_Request_Id;
create generator Gen_Request_Id;
set generator Gen_Request_Id to 0;

set term ^^;
create or alter trigger Request_BI for "REQUEST"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_Request_Id, 1);
end^^
set term ;^^

COMMIT;

--====================================================================================================
--=========================================== AddressBook ============================================
--====================================================================================================

create table "ADDRESSBOOK"
(
"ID" Integer Primary Key,
"IP" VarChar(20),
"PORT" Integer
);

drop generator Gen_AddressBook_Id;
create generator Gen_AddressBook_Id;
set generator Gen_AddressBook_Id to 0;

set term ^^;
create or alter trigger AddressBook_BI for "ADDRESSBOOK"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_AddressBook_Id, 1);
end^^
set term ;^^

COMMIT;

--====================================================================================================
--=============================================== Email ==============================================
--====================================================================================================

create table "EMAIL"
(
"ID" Integer Primary Key,
"RECIPIENT" VarChar(4096),
"SUBJECT" VarChar(255),
"BODY" Blob Sub_Type Text,
"CONTENT" VarChar(255),
"CREATIONDATE" TIMESTAMP,
"SENDATEXACTTIME" VarChar(1),
"ISSENT" VarChar(1),
"SENTAT" TIMESTAMP
);

drop generator Gen_Email_Id;
create generator Gen_Email_Id;
set generator Gen_Email_Id to 0;

set term ^^;
create or alter trigger Email_BI for "EMAIL"
active before insert position 0
as
begin
if (new.Id is null) then new.Id = gen_id(Gen_Email_Id, 1);
end^^
set term ;^^

commit;

--====================================================================================================
--=============================================== Views ==============================================
--====================================================================================================

--create view "WORKSTATION_USAGE" ("COL1", "COL2", "COL3", "COL4", "COL5") as
--select sca.ID as "COL1", sca.DESCRIPTION as "COL2", sca.ISACTIVE as "COL3", count(wei.ID) as "COL4", count(wei.AMOUNT) AS "COL5"
--from "SCALE" sca
--left join "SESSIONTAB" ses on sca.ID = ses.SCALEID
--left join "WEIGHTLOG" wei on ses.ID = wei.SESSIONTABID
--group by sca.ID, sca.DESCRIPTION, sca.ISACTIVE;

create view "TRANSACTION_ACTIVITY" ("COL1", "COL2") as
select cast( extract(day from wei.CREATIONDATE)||'.'|| extract(month from wei.CREATIONDATE)||'.'|| extract(year from wei.CREATIONDATE) as date) as "COL1", count(wei.id) as "COL2"
from "WEIGHTLOG" wei
group by EXTRACT(year from wei.CREATIONDATE), EXTRACT(month from wei.CREATIONDATE), EXTRACT(day from wei.CREATIONDATE);

--create view "USER_TRANSACTIONS" ("COL1", "COL2", "COL3", "COL4", "COL5") as
--select use.ID as "COL1", use.USERNAME as "COL2", use.ISACTIVE as "COL3", count(wei.ID) as "COL4", count(wei.AMOUNT) AS "COL5"
--from "USERTAB" use
--left join "SESSIONTAB" ses on use.ID = ses.USERTABID
--left join "WEIGHTLOG" wei on ses.ID = wei.SESSIONTABID
--group by use.ID, use.USERNAME, use.ISACTIVE;

create view "SCALE_STATUS" ("COL1", "COL2", "COL3", "COL4") as
select sca.ID as "COL1", sca.SERIALNUMBER as "COL2", sca.DESCRIPTION as "COL3", sca.ISACTIVE as "COL4"
from "SCALE" sca
where sca.SERIALNUMBER is not null;

create view "SCALE_EXT_STATUS" ("COL1", "COL2", "COL3", "COL4", "COL5", "COL6", "COL7", "COL8") as
select sca.ID as "COL1", sca.SERIALNUMBER as "COL2", sca.DESCRIPTION as "COL3", sca.LOCATION as "COL4", sca.ISACTIVE as "COL5",
COALESCE((SELECT COUNT(wei.AMOUNT)
FROM "SESSIONTAB" ses
LEFT JOIN "WEIGHTLOG" wei ON ses.ID = wei.SESSIONTABID
WHERE (sca.ID = ses.SCALEID)
GROUP BY ses.SCALEID), 0) AS "COL6",
COALESCE((SELECT COUNT(wei.AMOUNT)
FROM "SESSIONTAB" ses
LEFT JOIN "WEIGHTLOG" wei ON ses.ID = wei.SESSIONTABID
WHERE (sca.ID = ses.SCALEID) AND (wei.RXVERIFIED = '0')
GROUP BY ses.SCALEID), 0) AS "COL7",
COALESCE((SELECT COUNT(wei.AMOUNT)
FROM "SESSIONTAB" ses
LEFT JOIN "WEIGHTLOG" wei ON ses.ID = wei.SESSIONTABID
WHERE (sca.ID = ses.SCALEID) AND NOT (
            (wei.REMAININGTOFILL is null) OR
            (trim(wei.REMAININGTOFILL) = '') OR
            (trim(wei.REMAININGTOFILL) = '0pcs') OR
            (trim(wei.amount) = trim(wei.REMAININGTOFILL)))
GROUP BY ses.SCALEID), 0) AS "COL8"
from "SCALE" sca
where sca.SERIALNUMBER is not null;

CREATE VIEW "ALL_TRANSACTIONS" ("COL1", "COL2", "COL3", "COL4", "COL5", "COL6", "COL7", "COL8", "COL9", "COL10", "COL11", "COL12", "COL13", "COL14", "COL15", "COL16") AS
SELECT wei.ID AS "COL1", wei.WEIGHTENDDATE AS "COL2", wei.WEIGHTENDDATE AS "COL3", use.ID AS "COL4", use.USERNAME AS "COL5", dru.NDC AS "COL6", COALESCE(apw.LOT, dru.LOT) AS "COL7", dru."NAME" AS "COL8", dru.FORMULATION AS "COL9", wei.AMOUNT AS "COL10", wei.REMAININGTOFILL AS "COL11", IIF((wei.REMAININGTOFILL IS NULL) OR (TRIM(wei.REMAININGTOFILL) = '') OR (TRIM(wei.REMAININGTOFILL) = '0pcs') OR (TRIM(wei.amount) = TRIM(wei.REMAININGTOFILL)), '1', '0') AS "COL12", wei.RXVERIFIED AS "COL13", sca.ID AS "COL14", sca.DESCRIPTION AS "COL15", sca.SERIALNUMBER AS "COL16"
FROM "WEIGHTLOG" wei
JOIN "APW" apw ON wei.APWID = apw.ID
JOIN "DRUG" dru ON apw.DRUGID = dru.ID
JOIN "SESSIONTAB" ses ON wei.SESSIONTABID = ses.ID
JOIN "USERTAB" use ON ses.USERTABID = use.ID
JOIN "SCALE" sca ON ses.SCALEID = sca.ID
WHERE wei.AMOUNT IS NOT NULL;

create view "USER_LIST" ("COL1", "COL2", "COL3", "COL4", "COL5", "COL6", "COL7", "COL8", "COL9") as
select use.ID as "COL1", use.USERNAME as "COL2", use.FIRSTNAME as "COL3", use.LASTNAME as "COL4", use.BARCODE as "COL5", use.ISACTIVE as "COL6", use.ISADMIN as "COL7", use.ISEMAILED as "COL8", use.CANUPDATEAPW as "COL9"
from "USERTAB" use;

create view "UNIT_LIST" ("COL1", "COL2", "COL3", "COL4", "COL5", "COL6") as
select sca.ID as "COL1", sca.SERIALNUMBER as "COL2", sca.DESCRIPTION as "COL3", sca.LOCATION as "COL4", sca.ISACTIVE as "COL5", sca.ISEMAILED as "COL6"
from "SCALE" sca
where sca.SERIALNUMBER is not null;

CREATE VIEW "MOST_FREQUENTLY_COUNTED" ("COL1", "COL2", "COL3", "COL4") AS
SELECT dru.ID AS "COL1", dru.NDC AS "COL2", dru."NAME" AS "COL3",
COALESCE((SELECT COUNT(wei.ID)
FROM "APW" apw
JOIN "WEIGHTLOG" wei ON apw.ID = wei.APWID
WHERE apw.DRUGID = dru.ID AND wei.AMOUNT IS NOT NULL), 0) AS "COL4"
FROM "DRUG" dru;

CREATE VIEW "APW_SET_REQUEST" ("COL1", "COL2", "COL3", "COL4", "COL5", "COL6", "COL7", "COL8") AS
SELECT re.ID AS "COL1", dr."NAME" AS "COL2", dr.NDC AS "COL3", dr.LOT AS "COL4", us.ID AS "COL5", us.USERNAME AS "COL6", re.CREATIONDATE AS "COL7", re.CREATIONDATE AS "COL8"
FROM REQUEST re
JOIN DRUG dr on re.DRUGID = dr.ID
JOIN SESSIONTAB se on re.SESSIONTABID = se.ID
JOIN USERTAB us on se.USERTABID = us.ID
WHERE re.ID NOT IN (
    SELECT re.ID
    FROM REQUEST re
    JOIN DRUG dr on re.DRUGID = dr.ID
    JOIN APW ap on dr.ID = ap.DRUGID
    WHERE (ap.CREATIONDATE > re.CREATIONDATE) AND (ap.ISACTIVE = 'T'));

CREATE VIEW "ADDRESS_BOOK" ("COL1", "COL2", "COL3") AS
SELECT ab.ID AS "COL1", ab.IP AS "COL2", ab.PORT AS "COL3"
FROM ADDRESSBOOK ab;

--====================================================================================================
--================================================ TIP ===============================================
--====================================================================================================

---// APW

CREATE TABLE "APW_TIP"
(
"ID" INTEGER,
"SESSIONTABID" INTEGER,
"DRUGID" INTEGER,
"VAL" VARCHAR(11),
"LOT" VARCHAR(10),
"COUNT1" VARCHAR(11),
"COUNT2" VARCHAR(11),
"COUNT3" VARCHAR(11),
"CREATIONDATE" TIMESTAMP,
"ISACTIVE" VARCHAR(1),
"ACTIONDATE" TIMESTAMP,
"ACTIONTYPE" VARCHAR(1),
"ISARCHIVED" VARCHAR(1)
);

SET TERM ^^;
CREATE OR ALTER TRIGGER APW_AIUD FOR "APW"
ACTIVE AFTER INSERT OR UPDATE OR DELETE POSITION 10
AS
BEGIN
    IF (OLD.ID IS NULL) THEN
        INSERT INTO APW_TIP(ID, SESSIONTABID, DRUGID, VAL, LOT, COUNT1, COUNT2, COUNT3, CREATIONDATE, ISACTIVE, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(NEW.ID, NEW.SESSIONTABID, NEW.DRUGID, NEW.VAL, NEW.LOT, NEW.COUNT1, NEW.COUNT2, NEW.COUNT3, NEW.CREATIONDATE, NEW.ISACTIVE, 'NOW', 'I', 'F');
    ELSE IF (NEW.ID IS NOT NULL) THEN
        INSERT INTO APW_TIP(ID, SESSIONTABID, DRUGID, VAL, LOT, COUNT1, COUNT2, COUNT3, CREATIONDATE, ISACTIVE, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(NEW.ID, NEW.SESSIONTABID, NEW.DRUGID, NEW.VAL, NEW.LOT, NEW.COUNT1, NEW.COUNT2, NEW.COUNT3, NEW.CREATIONDATE, NEW.ISACTIVE, 'NOW', 'U', 'F');
    ELSE
        INSERT INTO APW_TIP(ID, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(OLD.ID, 'NOW', 'D', 'F');
END^^
SET TERM ;^^

---// Drug

CREATE TABLE "DRUG_TIP"
(
"ID" INTEGER,
"NDC" VARCHAR(10),
"NAME" VARCHAR(100),
"LOT" VARCHAR(10),
"DOSAGE" VARCHAR(20),
"FORMULATION" VARCHAR(20),
"MANUFACTURER" VARCHAR(20),
"PACKAGING" VARCHAR(20),
"ISLOCKED" VARCHAR(1),
"ACTIONDATE" TIMESTAMP,
"ACTIONTYPE" VARCHAR(1),
"ISARCHIVED" VARCHAR(1)
);

SET TERM ^^;
CREATE OR ALTER TRIGGER DRUG_AIUD FOR "DRUG"
ACTIVE AFTER INSERT OR UPDATE OR DELETE POSITION 10
AS
BEGIN
    IF (OLD.ID IS NULL) THEN
        INSERT INTO DRUG_TIP(ID, NDC, NAME, LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING, ISLOCKED, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(NEW.ID, NEW.NDC, NEW.NAME, NEW.LOT, NEW.DOSAGE, NEW.FORMULATION, NEW.MANUFACTURER, NEW.PACKAGING, NEW.ISLOCKED, 'NOW', 'I', 'F');
    ELSE IF (NEW.ID IS NOT NULL) THEN
        INSERT INTO DRUG_TIP(ID, NDC, NAME, LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING, ISLOCKED, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(NEW.ID, NEW.NDC, NEW.NAME, NEW.LOT, NEW.DOSAGE, NEW.FORMULATION, NEW.MANUFACTURER, NEW.PACKAGING, NEW.ISLOCKED, 'NOW', 'U', 'F');
    ELSE
        INSERT INTO DRUG_TIP(ID, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(OLD.ID, 'NOW', 'D', 'F');
END^^
SET TERM ;^^

---// SessionTab

CREATE TABLE "SESSIONTAB_TIP"
(
"ID" INTEGER,
"USERTABID" INTEGER,
"SCALEID" INTEGER,
"TOKEN" VARCHAR(16),
"ISPWDLOGIN" VARCHAR(1),
"CREATIONDATE" TIMESTAMP,
"LOGINDATE" TIMESTAMP,
"LOGOUTDATE" TIMESTAMP,
"ACTIONDATE" TIMESTAMP,
"ACTIONTYPE" VARCHAR(1),
"ISARCHIVED" VARCHAR(1)
);

SET TERM ^^;
CREATE OR ALTER TRIGGER SESSIONTAB_AIUD FOR "SESSIONTAB"
ACTIVE AFTER INSERT OR UPDATE OR DELETE POSITION 10
AS
BEGIN
    IF (OLD.ID IS NULL) THEN
        INSERT INTO SESSIONTAB_TIP(ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(NEW.ID, NEW.USERTABID, NEW.SCALEID, NEW.TOKEN, NEW.ISPWDLOGIN, NEW.CREATIONDATE, NEW.LOGINDATE, NEW.LOGOUTDATE, 'NOW', 'I', 'F');
    ELSE IF (NEW.ID IS NOT NULL) THEN
        INSERT INTO SESSIONTAB_TIP(ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(NEW.ID, NEW.USERTABID, NEW.SCALEID, NEW.TOKEN, NEW.ISPWDLOGIN, NEW.CREATIONDATE, NEW.LOGINDATE, NEW.LOGOUTDATE, 'NOW', 'U', 'F');
    ELSE
        INSERT INTO SESSIONTAB_TIP(ID, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(OLD.ID, 'NOW', 'D', 'F');
END^^
SET TERM ;^^

---// WeightLog

CREATE TABLE "WEIGHTLOG_TIP"
(
"ID" INTEGER,
"APWID" INTEGER,
"SESSIONTABID" INTEGER,
"AMOUNT" VARCHAR(11),
"RXVERIFIED" VARCHAR(1),
"REMAININGTOFILL" VARCHAR(11),
"CREATIONDATE" TIMESTAMP,
"WEIGHTENDDATE" TIMESTAMP,
"ACTIONDATE" TIMESTAMP,
"ACTIONTYPE" VARCHAR(1),
"ISARCHIVED" VARCHAR(1)
);

SET TERM ^^;
CREATE OR ALTER TRIGGER WEIGHTLOG_AIUD FOR "WEIGHTLOG"
ACTIVE AFTER INSERT OR UPDATE OR DELETE POSITION 10
AS
BEGIN
    IF (OLD.ID IS NULL) THEN
        INSERT INTO WEIGHTLOG_TIP(ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(NEW.ID, NEW.APWID, NEW.SESSIONTABID, NEW.AMOUNT, NEW.RXVERIFIED, NEW.REMAININGTOFILL, NEW.CREATIONDATE, NEW.WEIGHTENDDATE, 'NOW', 'I', 'F');
    ELSE IF (NEW.ID IS NOT NULL) THEN
        INSERT INTO WEIGHTLOG_TIP(ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(NEW.ID, NEW.APWID, NEW.SESSIONTABID, NEW.AMOUNT, NEW.RXVERIFIED, NEW.REMAININGTOFILL, NEW.CREATIONDATE, NEW.WEIGHTENDDATE, 'NOW', 'U', 'F');
    ELSE
        INSERT INTO WEIGHTLOG_TIP(ID, ACTIONDATE, ACTIONTYPE, ISARCHIVED)
        VALUES(OLD.ID, 'NOW', 'D', 'F');
END^^
SET TERM ;^^

--====================================================================================================
--============================================== Values ==============================================
--====================================================================================================

----insert into COMPORTPARAMS values (null, null, 9600, 8, 1, 0, 'F', 'T', 'T');
----insert into COMPORTPARAMS values (null, 'COM6', null, null, null, null, 'T', 'T', 'T');
----insert into COMPORTPARAMS values (null, 'COM7', null, null, null, null, 'F', 'F', 'T');
----insert into COMPORTPARAMS values (null, '/dev/vsps0', null, null, null, null, 'T', 'T', 'T');

insert into "SCALE" values (0, null, 'Default', null, 'T', 'F');

insert into USERTAB values (0, null, 'n/a', 'n/a', null, null, null, 'T', 'F', 'F', 'T');
insert into USERTAB values (null, 'admin', null, null, null, null, null, 'T', 'T', 'F', 'T');
--insert into USERTAB values (null, 'user1', null, null, null, '012345670', '0170', 'F', 'F', 'F', 'F');
--insert into USERTAB values (null, 'user2', null, null, null, '012345671', '0171', 'F', 'F', 'F', 'F');
--insert into USERTAB values (null, 'user3', null, null, null, '012345672', '0172', 'F', 'F', 'F', 'F');
--insert into USERTAB values (null, 'user4', null, null, null, '012345673', '0173', 'F', 'F', 'F', 'F');
--insert into USERTAB values (null, 'user5', null, null, null, '012345674', '0174', 'F', 'F', 'F', 'F');
--insert into USERTAB values (null, 'user6', null, null, null, '012345675', '0175', 'F', 'F', 'F', 'F');
--insert into USERTAB values (null, 'user7', null, null, null, '012345676', '0176', 'F', 'F', 'F', 'F');
--insert into USERTAB values (null, 'user8', null, null, null, '012345677', '0177', 'F', 'F', 'F', 'F');
--insert into USERTAB values (null, 'user9', null, null, null, '012345678', '0178', 'F', 'F', 'F', 'F');
--insert into USERTAB values (null, 'user10', null, null, null, '012345679', '0179', 'F', 'F', 'F', 'F');

--insert into ADDRESSBOOK values (null, null, -1);

--//

--INSERT INTO ACTIVATIONDATA (ID, FIRSTNAME, LASTNAME, PHARMACY, ADDRESS, CITY, "STATE", ZIPCODE, TELEPHONE, EMAIL, ISACTIVATED, ISREGISTERED, ISTIP) VALUES (0, 'John', 'Smith', 'Zenek i synowie', '100 Delawanna Ave. Suite 120', 'Clifton', 'NJ', '07014', '9734736900', 'karlnowo@fulcruminc.net', 'T', 'T', 'F');
--
--DELETE FROM USERTAB WHERE ID > 0 AND ID < 4;
--INSERT INTO USERTAB (ID, USERNAME, FIRSTNAME, LASTNAME, USERPASSWORD, BARCODE, SHORTCODE, ISACTIVE, ISADMIN, ISEMAILED) VALUES (1, 'admin', null, null, 'd033e22ae348aeb5660fc2140aec35850c4da997', '1234', '1234', 'T', 'T', 'T');
--INSERT INTO USERTAB (ID, USERNAME, FIRSTNAME, LASTNAME, USERPASSWORD, BARCODE, SHORTCODE, ISACTIVE, ISADMIN, ISEMAILED) VALUES (2, 'John Q.', 'John', 'Quincy', NULL, '1234', '1234', 'T', 'T', 'T');
--INSERT INTO USERTAB (ID, USERNAME, FIRSTNAME, LASTNAME, USERPASSWORD, BARCODE, SHORTCODE, ISACTIVE, ISADMIN, ISEMAILED) VALUES (3, 'David L.', 'David', 'Lowel', NULL, '1234', '1234', 'T', 'T', 'T');
--
--INSERT INTO "SCALE" (ID, SERIALNUMBER, DESCRIPTION, LOCATION, ISACTIVE, ISEMAILED) VALUES (NULL, '00000000', 'Drx 300', 'Lab 2', 'T', 'T');
--INSERT INTO "SCALE" (ID, SERIALNUMBER, DESCRIPTION, LOCATION, ISACTIVE, ISEMAILED) VALUES (NULL, '12345678', 'Drx 500', 'Lab 1', 'T', 'T');
--
--INSERT INTO DRUG (ID, NDC, "NAME", LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING) VALUES (NULL, '0300304613', '                    ', '          ', NULL, NULL, NULL, NULL);
--INSERT INTO DRUG (ID, NDC, "NAME", LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING) VALUES (NULL, '0074630113', 'ERYTHROMYCIN DELAYED', '          ', 'CAPSULE, DELAYED REL', '250 MG ERYTHROMYCIN', 'ABBOTT LABORATORIES', '100 BOT');
--INSERT INTO DRUG (ID, NDC, "NAME", LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING) VALUES (NULL, '6658231231', 'VYTORIN TABLETS 10/2', '          ', 'TABLET', '', 'MSP DISTRIBUTION SER', '30 BOT');
--INSERT INTO DRUG (ID, NDC, "NAME", LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING) VALUES (NULL, '0378156010', 'EXTENDED PHENYTOIN S', '          ', 'CAPSULE, EXTENDED RE', '100 MG PHENYTOIN SOD', 'MYLAN PHARMACEUTICAL', '1000 BOTPL');
--INSERT INTO DRUG (ID, NDC, "NAME", LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING) VALUES (NULL, '0603258232', 'CARISOPRODOL TABLETS', '          ', 'TABLET', '350 MG CARISOPRODOL', 'QUALITEST PHARMACEUT', '1000 BOT');
--INSERT INTO DRUG (ID, NDC, "NAME", LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING) VALUES (NULL, '0186003254', 'ATACAND TABLETS', '          ', 'TABLET', '32 MG CANDESARTAN CI', 'ASTRAZENECA LP', '90 BOT');
--INSERT INTO DRUG (ID, NDC, "NAME", LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING) VALUES (NULL, '4988494605', 'TRAMADOL HYDROCHLORI', '          ', 'TABLET, FILM COATED', '', 'PAR PHARMACEUTICAL I', '500 BOTPL');
--INSERT INTO DRUG (ID, NDC, "NAME", LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING) VALUES (NULL, '0006011754', 'SINGULAIR TABLETS', '          ', 'TABLET, FILM COATED', '10 MG MONTELUKAST SO', 'MERCK AND CO INC', '90 BOT');
--INSERT INTO DRUG (ID, NDC, "NAME", LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING) VALUES (NULL, '0045064065', '                    ', '          ', NULL, NULL, NULL, NULL);
--INSERT INTO DRUG (ID, NDC, "NAME", LOT, DOSAGE, FORMULATION, MANUFACTURER, PACKAGING) VALUES (NULL, '5901110310', 'OXYCONTIN TABLETS CO', '          ', 'TABLET, FILM COATED,', '20 MG OXYCODONE HYDR', 'PURDUE PHARMA LP', '100 BOTPL');
--
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, 1, 2, 'bd630e88', 'T', '2010-07-14 14:54:02.945', '2010-07-14 14:54:11.992', NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 1, '533d3394', 'T', '2010-07-14 14:54:03.124', NULL, '2010-07-14 14:54:03.362');
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, 1, 2, 'b20c7f57', 'T', '2010-07-15 16:08:24.276', '2010-07-15 16:08:29.721', '2010-07-15 17:29:22.992');
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 1, 'c0487124', 'T', '2010-07-15 16:08:51.74', NULL, '2010-07-15 16:08:51.956');
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 1, '7fc7370a', 'T', '2010-07-15 16:40:48.778', NULL, '2010-07-15 16:40:48.906');
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, 1, 2, 'c432f54d', 'T', '2010-07-15 17:40:25.757', '2010-07-15 17:40:30.052', NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, '71349699', 'T', '2010-07-15 17:44:22.686', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 1, '60dbddc9', 'T', '2010-07-15 17:48:16.1', NULL, '2010-07-15 17:48:16.31');
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, 'aee8cf32', 'T', '2010-07-15 17:53:35.371', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, '9e3a7e85', 'T', '2010-07-15 17:53:40.091', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, 'aece495d', 'T', '2010-07-15 17:53:42.17', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, 'c7c1249e', 'T', '2010-07-15 17:53:55.337', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, '13d85cf8', 'T', '2010-07-15 17:54:29.132', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, 'a49b1ca5', 'T', '2010-07-15 17:55:51.639', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, 'b6eb3248', 'T', '2010-07-15 17:55:51.929', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 1, '93064973', 'T', '2010-07-15 17:55:55.791', NULL, '2010-07-15 17:55:56.004');
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, '24d1f348', 'T', '2010-07-15 17:56:01.832', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, '1dae465a', 'T', '2010-07-15 17:56:02.512', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, 1, 2, 'ac221728', 'T', '2010-07-15 17:56:05.123', '2010-07-15 17:56:10.439', '2010-07-15 17:56:14.656');
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, NULL, 2, '81afb640', 'T', '2010-07-15 17:56:15.768', NULL, NULL);
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, 1, 2, 'fcc455e8', 'T', '2010-07-15 17:59:00.492', NULL, '2010-07-15 18:02:33.051');
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, 1, 2, 'b2369b5d', 'T', '2010-07-15 18:02:39.549', '2010-07-15 18:02:43.17', '2010-07-15 19:17:11.452');
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, 1, 2, '9a60882d', 'T', '2010-07-15 19:17:24.666', NULL, '2010-07-15 19:17:28.602');
--INSERT INTO SESSIONTAB (ID, USERTABID, SCALEID, TOKEN, ISPWDLOGIN, CREATIONDATE, LOGINDATE, LOGOUTDATE) VALUES (NULL, 1, 2, '30e9ac9e', 'T', '2010-07-15 19:17:36.247', '2010-07-15 19:17:41.024', NULL);
--
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 1, 1, '   0.358  g', '2010-07-14 14:54:44.426', 'F');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 1, 2, '   0.772  g', '2010-07-14 14:55:25.291', 'F');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 3, 3, '   0.298  g', '2010-07-15 16:09:07.434', 'F');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 22, 4, '   0.298  g', '2010-07-15 18:03:30.72', 'T');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 22, 5, '   0.330  g', '2010-07-15 18:05:00.001', 'T');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 22, 6, '   0.342  g', '2010-07-15 18:06:01.267', 'T');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 22, 7, '   0.313  g', '2010-07-15 18:07:01.253', 'T');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 22, 8, '   0.214  g', '2010-07-15 18:08:48.001', 'T');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 22, 9, '   0.330  g', '2010-07-15 18:10:07.265', 'T');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 22, 3, '   0.559  g', '2010-07-15 18:11:26.185', 'T');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 22, 10, '   0.645  g', '2010-07-15 18:12:24.653', 'T');
--INSERT INTO APW (ID, SESSIONTABID, DRUGID, VAL, CREATIONDATE, ISACTIVE) VALUES (NULL, 24, 2, '   0.438  g', '2010-07-15 19:18:32.033', 'T');
--
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 4, 22, '      30pcs', '1', '      30pcs', '2010-07-15 18:03:30.791', '2010-07-15 18:04:02.277');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 5, 22, '      64pcs', '1', '      60pcs', '2010-07-15 18:05:00.072', '2010-07-15 18:05:18.615');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 6, 22, '      60pcs', '1', '      60pcs', '2010-07-15 18:06:01.349', '2010-07-15 18:06:18.629');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 7, 22, '      90pcs', '1', '      90pcs', '2010-07-15 18:07:01.325', '2010-07-15 18:07:35.451');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 8, 22, '      46pcs', '1', '      30pcs', '2010-07-15 18:08:48.074', '2010-07-15 18:09:00.062');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 8, 22, '      40pcs', '1', '      40pcs', '2010-07-15 18:09:19.082', '2010-07-15 18:09:37.517');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 9, 22, '      30pcs', '1', '      30pcs', '2010-07-15 18:10:07.315', '2010-07-15 18:10:29.934');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 9, 22, NULL, NULL, NULL, '2010-07-15 18:10:55.108', NULL);
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 10, 22, '      30pcs', '1', '      30pcs', '2010-07-15 18:11:26.264', '2010-07-15 18:11:38.741');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 11, 22, '      30pcs', '1', '      30pcs', '2010-07-15 18:12:24.722', '2010-07-15 18:13:03.534');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 11, 22, '      39pcs', '1', '      30pcs', '2010-07-15 19:08:56.795', '2010-07-15 19:09:05.027');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 10, 22, '      37pcs', '1', '      30pcs', '2010-07-15 19:09:21.419', '2010-07-15 19:09:35.525');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 8, 22, '      80pcs', '1', '      30pcs', '2010-07-15 19:09:58.608', '2010-07-15 19:10:09.55');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 7, 22, '      28pcs', '1', '      40pcs', '2010-07-15 19:10:26.669', '2010-07-15 19:10:47.916');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 6, 22, '      44pcs', '1', '      40pcs', '2010-07-15 19:11:06.463', '2010-07-15 19:16:53.818');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 12, 24, '      37pcs', '1', '      30pcs', '2010-07-15 19:18:32.104', '2010-07-15 19:18:42.038');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 12, 24, '      22pcs', '1', '      90pcs', '2010-07-15 19:19:00.023', '2010-07-15 19:19:08.327');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 5, 24, '      29pcs', '1', '      50pcs', '2010-07-15 19:21:07.851', '2010-07-15 19:21:16.07');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 12, 24, '      11pcs', '1', '      40pcs', '2010-07-15 20:14:32.825', '2010-07-15 20:14:40.965');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 6, 24, '      16pcs', '1', '      40pcs', '2010-07-15 20:15:06.388', '2010-07-15 20:15:56.021');
--INSERT INTO WEIGHTLOG (ID, APWID, SESSIONTABID, AMOUNT, RXVERIFIED, REMAININGTOFILL, CREATIONDATE, WEIGHTENDDATE) VALUES (NULL, 5, 24, NULL, NULL, NULL, '2010-07-15 20:16:19.259', NULL);
